DOMNode::getNodePath
DOMNode::hasChildNodes
DOMNode
PHP Manual

# DOMNode::hasAttributes

(PHP 5, PHP 7)

DOMNode::hasAttributes — Checks if node has attributes

### Description

public bool DOMNode::hasAttributes ( void )

This method checks if the node has attributes. The tested node has to be an `XML_ELEMENT_NODE`.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- DOMNode::hasChildNodes() - Checks if node has children

DOMNode::getNodePath
DOMNode::hasChildNodes
DOMNode
PHP Manual